LibreOffice LibreOffice 25.2 SDK API Reference

Exported Interfaces | Public Member Functions | List of all members
XExternalDocLinks Interface Reference

Primary interface for the com::sun::star::sheet::ExternalDocLinks service. More...

`import"XExternalDocLinks.idl";`

Inheritance diagram for XExternalDocLinks:

## Exported Interfaces
interface | com::sun::star::container::XNameAccess
interface | com::sun::star::container::XIndexAccess
interface | com::sun::star::container::XEnumerationAccess

## Public Member Functions
com::sun::star::sheet::XExternalDocLink | addDocLink ([in] string aDocName)
| This method adds a new external document link by its URL, and returns its instance. More...
Public Member Functions inherited from XNameAccess
any | getByName ([in] string aName) raises ( com::sun::star::container::NoSuchElementException, com::sun::star::lang::WrappedTargetException )
sequence< string > | getElementNames ()
boolean | hasByName ([in] string aName)
Public Member Functions inherited from XElementAccess
type | getElementType ()
boolean | hasElements ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XIndexAccess
long | getCount ()
any | getByIndex ([in] long Index) raises ( com::sun::star::lang::IndexOutOfBoundsException, com::sun::star::lang::WrappedTargetException )
Public Member Functions inherited from XEnumerationAccess
com::sun::star::container::XEnumeration | createEnumeration ()

## Detailed Description

Primary interface for the com::sun::star::sheet::ExternalDocLinks service.

See also
  com::sun::star::sheet::ExternalDocLinks

Since
  OOo 3.1

## Exported Interfaces

## ◆ com::sun::star::container::XEnumerationAccess

interface com::sun::star::container::XEnumerationAccess

## ◆ com::sun::star::container::XIndexAccess

interface com::sun::star::container::XIndexAccess

## ◆ com::sun::star::container::XNameAccess

interface com::sun::star::container::XNameAccess

## Member Function Documentation

## ◆ addDocLink()

com::sun::star::sheet::XExternalDocLink addDocLink | ( | [in] string | aDocName | ) |

This method adds a new external document link by its URL, and returns its instance.

If a document instance already exists for the specified URL, then that instance gets returned instead of creating a new one.

Parameters

  aDocName | document URL (e.g. file:///path/to/document.ods)

Returns
  com::sun::star::sheet::XExternalDocLink external document link instance

The documentation for this interface was generated from the following file:

- com/sun/star/sheet/XExternalDocLinks.idl